<template lang="pug">
	input(type="radio" :title="title" :checked="checked" :name="name" :value="value" @input="$emit('input', $event.target.value)")
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
	props: {
		title: {
			type: String,
			default: null,
			required: false,
		},
		checked: {
			type: Boolean,
			default: false,
			required: false,
		},
		name: {
			type: String,
			required: true,
		},
		value: {
			type: String,
			default: null,
			required: false,
		},
	},
});
</script>

<style lang="scss" scoped>
@import "@/assets/style/_colors.scss";

input[type="radio"] {
	display: inline-block;

	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;

	background-color: white;
	height: 30px;
	width: 30px;
	margin: 6px;
	border-style: solid;
	border-width: 5px;
	border-color: $accent-bg-color;
	border-radius: 100px;
	transition: 0.2s all linear;
	outline: none;
	&:hover {
		cursor: pointer;
		border-color: $accent-bg-color-hover;
	}
	&:checked {
		background-color: $accent-txt-color;
		border-width: 10px;
		border-color: $accent-bg-color-active;
	}
}
</style>
